<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: UART_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">UART_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:gab46006a7b232e3c6466e7187f871c4fd"><td class="memItemLeft" >union {</td></tr>
<tr class="memitem:gaa197bb74cef0a08558d1baab9a0db933"><td class="memItemLeft" >&#160;&#160;&#160;__I uint32_t&#160;&#160;&#160;<a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae89a1c157c8f32081e88d5e41147b885">UART_T::RBR</a></td></tr>
<tr class="separator:gaa197bb74cef0a08558d1baab9a0db933"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga001a0fe8a64ffba0713c74fd8b8d469f"><td class="memItemLeft" >&#160;&#160;&#160;__O uint32_t&#160;&#160;&#160;<a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab2c575051f74234158db4c2627172943">UART_T::THR</a></td></tr>
<tr class="separator:ga001a0fe8a64ffba0713c74fd8b8d469f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab46006a7b232e3c6466e7187f871c4fd"><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:gab46006a7b232e3c6466e7187f871c4fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ab90d38586ab0cbf20d7b41f1190374"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9ab90d38586ab0cbf20d7b41f1190374">CTL</a></td></tr>
<tr class="separator:ga9ab90d38586ab0cbf20d7b41f1190374"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52b6efc5dbbc798e6ed525e3875e3a40"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga52b6efc5dbbc798e6ed525e3875e3a40">TLCTL</a></td></tr>
<tr class="separator:ga52b6efc5dbbc798e6ed525e3875e3a40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga202d78662da8b815cb7e16a997244a1f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga202d78662da8b815cb7e16a997244a1f">IER</a></td></tr>
<tr class="separator:ga202d78662da8b815cb7e16a997244a1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1edf12aec26a4dccd41814cfb02dd949"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1edf12aec26a4dccd41814cfb02dd949">ISR</a></td></tr>
<tr class="separator:ga1edf12aec26a4dccd41814cfb02dd949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4297386c5926124fc6441172a68f844d"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4297386c5926124fc6441172a68f844d">TRSR</a></td></tr>
<tr class="separator:ga4297386c5926124fc6441172a68f844d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4147906e727e2bef07512303f1364881"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4147906e727e2bef07512303f1364881">FSR</a></td></tr>
<tr class="separator:ga4147906e727e2bef07512303f1364881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c448c3fbb4d954410aaef7402d7ca7e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0c448c3fbb4d954410aaef7402d7ca7e">MCSR</a></td></tr>
<tr class="separator:ga0c448c3fbb4d954410aaef7402d7ca7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga69e6fb451dbef4b45969bac159e8ffc0"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga69e6fb451dbef4b45969bac159e8ffc0">TMCTL</a></td></tr>
<tr class="separator:ga69e6fb451dbef4b45969bac159e8ffc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ca01dcd16be120667b8ec1b940b2800"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0ca01dcd16be120667b8ec1b940b2800">BAUD</a></td></tr>
<tr class="separator:ga0ca01dcd16be120667b8ec1b940b2800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f27fb255eef2d5ad9a1d18496232119"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7f27fb255eef2d5ad9a1d18496232119">RESERVE0</a> [2]</td></tr>
<tr class="separator:ga7f27fb255eef2d5ad9a1d18496232119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabdfc111e8ea7c7fe2aed82d163596da7"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gabdfc111e8ea7c7fe2aed82d163596da7">IRCR</a></td></tr>
<tr class="separator:gabdfc111e8ea7c7fe2aed82d163596da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf4e9ea8c4f49b557a138d36abaaf770b"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf4e9ea8c4f49b557a138d36abaaf770b">ALT_CTL</a></td></tr>
<tr class="separator:gaf4e9ea8c4f49b557a138d36abaaf770b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51ae34e470c8bc57f5a3a56bc25ca1b6"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga51ae34e470c8bc57f5a3a56bc25ca1b6">FUN_SEL</a></td></tr>
<tr class="separator:ga51ae34e470c8bc57f5a3a56bc25ca1b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga710545f9c9f66efe5c4426dae5acab78"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga710545f9c9f66efe5c4426dae5acab78">BR_COMP</a></td></tr>
<tr class="separator:ga710545f9c9f66efe5c4426dae5acab78"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup UART Universal Asynchronous Receiver/Transmitter Controller(UART)
Memory Mapped Structure for UART Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l09479">9479</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
